# Serialized Form

## Package org.apache.felix.deployment.rp.autoconf

### Class org.apache.felix.deployment.rp.autoconf.AutoConfResource extends Object implements Serializable

serialVersionUID:
  1L

### Serialization Methods

#### readObject

    private void readObject(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject(ObjectOutputStream out)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### m_pid

    String m_pid

#### m_factoryPid

    String m_factoryPid

#### m_properties

    Dictionary<K,V> m_properties

#### m_bundleLoc

    String m_bundleLoc

#### m_merge

    boolean m_merge

#### m_name

    String m_name

#### m_alias

    String m_alias